Getting error: You are missing the following 32-bit libraries, and Steam may not run: libc.so.6

My computer lost power during a steam update, and whenever I try to load up steam or any steam games, I get this message:

"You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6"

I searched around and the only tutorials I could find were about debian/ubantu

I tried uninstalling and reinstalling steam(Through garuda gamer), but that didn't work

And here is what my console outputs when I run steam

steam.sh[264419]: Running Steam on garuda Soaring 64-bit
steam.sh[264419]: STEAM_RUNTIME is enabled automatically
setup.sh[264492]: Steam runtime environment up-to-date!
steam.sh[264419]: Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6

System Info:

System:
Kernel: 5.16.2-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=76064572-1c13-4b7f-afda-a8022620dd9c rw [email protected]
quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3
Desktop: KDE Plasma 5.23.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Desktop System: ASUS product: N/A v: N/A serial: <superuser required>
Mobo: ASUSTeK model: TUF GAMING Z590-PLUS WIFI v: Rev 1.xx
serial: <superuser required> UEFI: American Megatrends v: 1017
date: 07/13/2021
CPU:
Info: model: 11th Gen Intel Core i5-11400F bits: 64 type: MT MCP
arch: Rocket Lake family: 6 model-id: 0xA7 (167) stepping: 1
microcode: 0x40
Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
L1: 480 KiB desc: d-6x48 KiB; i-6x32 KiB L2: 3 MiB desc: 6x512 KiB
L3: 12 MiB desc: 1x12 MiB
Speed (MHz): avg: 4343 high: 4409 min/max: 800/4400 scaling:
driver: intel_pstate governor: performance cores: 1: 4126 2: 4357 3: 4400
4: 4358 5: 4336 6: 4400 7: 4409 8: 4398 9: 4399 10: 4390 11: 4309
12: 4240 bogomips: 62208
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3
Vulnerabilities:
Type: itlb_multihit status: Not affected
Type: l1tf status: Not affected
Type: mds status: Not affected
Type: meltdown status: Not affected
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2
mitigation: Enhanced IBRS, IBPB: conditional, RSB filling
Type: srbds status: Not affected
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: AMD Navi 23 [Radeon RX 6600/6600 XT/6600M] vendor: ASUSTeK
driver: amdgpu v: kernel bus-ID: 03:00.0 chip-ID: 1002:73ff class-ID: 0300
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: amdgpu,ati unloaded: modesetting,radeon alternate: fbdev,vesa
display-ID: :0 screens: 1
Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2")
s-diag: 582mm (22.9")
Monitor-1: HDMI-A-0 res: 1920x1080 hz: 60 dpi: 93
size: 527x296mm (20.7x11.7") diag: 604mm (23.8")
OpenGL: renderer: AMD Radeon RX 6600 XT (DIMGREY_CAVEFISH DRM 3.44.0
5.16.2-zen1-1-zen LLVM 13.0.0)
v: 4.6 Mesa 21.3.4 direct render: Yes
Audio:
Device-1: Intel Tiger Lake-H HD Audio vendor: ASUSTeK driver: snd_hda_intel
v: kernel alternate: snd_sof_pci_intel_tgl bus-ID: 00:1f.3
chip-ID: 8086:43c8 class-ID: 0403
Device-2: AMD Navi 21 HDMI Audio [Radeon RX 6800/6800 XT / 6900 XT]
driver: snd_hda_intel v: kernel bus-ID: 03:00.1 chip-ID: 1002:ab28
class-ID: 0403
Sound Server-1: ALSA v: k5.16.2-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.43 running: yes
Network:
Device-1: Intel Tiger Lake PCH CNVi WiFi driver: iwlwifi v: kernel
bus-ID: 00:14.3 chip-ID: 8086:43f0 class-ID: 0280
IF: wlo1 state: up mac: <filter>
Device-2: Intel Ethernet I225-V vendor: ASUSTeK driver: igc v: kernel
port: N/A bus-ID: 07:00.0 chip-ID: 8086:15f3 class-ID: 0200
IF: enp7s0 state: down mac: <filter>
Bluetooth:
Device-1: Intel AX201 Bluetooth type: USB driver: btusb v: 0.8
bus-ID: 1-14:6 chip-ID: 8087:0026 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: <filter>
Drives:
Local Storage: total: 931.51 GiB used: 85.53 GiB (9.2%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Crucial model: CT1000P2SSD8
size: 931.51 GiB block-size: physical: 512 B logical: 512 B
speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: P2CR033
temp: 34.9 C scheme: GPT
Partition:
ID-1: / raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 85.53 GiB (9.2%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 85.53 GiB (9.2%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-4: /var/log raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 85.53 GiB (9.2%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
ID-5: /var/tmp raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 85.53 GiB (9.2%) fs: btrfs dev: /dev/nvme0n1p2 maj-min: 259:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.46 GiB used: 2.5 MiB (0.0%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 27.8 C mobo: N/A gpu: amdgpu temp: 40.0 C
mem: 42.0 C
Fan Speeds (RPM): N/A gpu: amdgpu fan: 0
Info:
Processes: 349 Uptime: 1h 2m wakeups: 32 Memory: 15.46 GiB
used: 3.83 GiB (24.8%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 clang: 13.0.0 Packages: 1548 apt: 0 pacman: 1543 lib: 457
flatpak: 5 Shell: fish v: 3.3.1 default: Bash v: 5.1.16 running-in: konsole
inxi: 3.3.12

Have you tried with an update?
If that not helps, I see that library is provides by glibc.
So you could try
sudo pacman -S glibc
Also, you could check here:
https://wiki.archlinux.org/title/Steam/Troubleshooting#Missing_libc
Another option could be to restore the latest working snapshot, but this will not help if something got corrupted in your home directory.

2 Likes

The Steam package has a number of dependent packages; you'd have to remove Steam and all of those and then reinstall to make sure missing files were put into place:

$ pacman -Si steam-native-runtime
...
Depends On      : bash  steam  alsa-lib  alsa-plugins  atk  cairo  curl  dbus-glib  fontconfig  freetype2  freeglut  gdk-pixbuf2  glew1.10  glib2
                  glu  gtk2  lib32-alsa-lib  lib32-alsa-plugins  lib32-atk  lib32-cairo  lib32-curl  lib32-dbus-glib  lib32-fontconfig
                  lib32-freetype2  lib32-freeglut  lib32-gdk-pixbuf2  lib32-glew1.10  lib32-glib2  lib32-glu  lib32-gtk2  lib32-libcaca
                  lib32-libcanberra  lib32-libcups  lib32-libcurl-compat  lib32-libcurl-gnutls  lib32-dbus  lib32-libdrm  lib32-libgcrypt15
                  lib32-libice  lib32-libidn11  lib32-libjpeg6  lib32-libnm  lib32-pipewire  lib32-libpng12  lib32-libpulse  lib32-librtmp0
                  lib32-libsm  lib32-libtheora  lib32-libtiff4  lib32-libudev0-shim  lib32-libusb  lib32-libva  lib32-libvdpau  lib32-libvorbis
                  lib32-libvpx1.3  lib32-libwrap  lib32-libxcomposite  lib32-libxcursor  lib32-libxft  lib32-libxi  lib32-libxinerama
                  lib32-libxmu  lib32-libxrandr  lib32-libxrender  lib32-libxtst  lib32-libxxf86vm  lib32-nspr  lib32-openal  lib32-openssl-1.0
                  lib32-pango  lib32-sdl  lib32-sdl2  lib32-sdl2_image  lib32-sdl2_mixer  lib32-sdl2_ttf  lib32-sdl_image  lib32-sdl_mixer
                  lib32-sdl_ttf  libcaca  libcanberra  libcups  libcurl-compat  libcurl-gnutls  dbus  libdrm  libgcrypt15  libice  libidn11
                  libjpeg6  libnm  libpng12  libpulse  librsvg  librtmp0  libsm  libtheora  libtiff4  libudev0-shim  libusb  libva  libvdpau
                  libvorbis  libvpx1.3  libwrap  libxcomposite  libxcursor  libxft  libxi  libxinerama  libxmu  libxrandr  libxrender  libxtst
                  libxxf86vm  nspr  openal  openssl-1.0  pango  sdl  sdl2  sdl2_image  sdl2_mixer  sdl2_ttf  sdl_image  sdl_mixer  sdl_ttf
                  vulkan-icd-loader  vulkan-driver  lib32-vulkan-driver  lib32-vulkan-icd-loader  lib32-libappindicator-gtk2
                  lib32-libindicator-gtk2  lib32-libdbusmenu-glib  lib32-libdbusmenu-gtk2
...

However, given your system lost power during an update there may be other missing files so it would be a good idea to reinstall all packages:

sudo pacman -Syu $(pacman -Qq)
5 Likes